import { NullableResultPromise } from "../base-types";
import { IExtendedContentHubClient } from "../clients/extended-client";
import { IMemberCondition, MemberCondition } from "../contracts/base/member-condition";
import { MemberConditionResource } from "../models/member-condition-resource";
export declare class MemberConditionMapper {
    private readonly _client;
    constructor(client: IExtendedContentHubClient);
    mapMemberConditionsAsync(conditionResources: Array<MemberConditionResource>): Promise<Array<MemberCondition>>;
    mapMemberConditionAsync(conditionResource: MemberConditionResource): NullableResultPromise<MemberCondition>;
    mapMemberConditionResourcesAsync(conditions: Array<IMemberCondition>): Promise<Array<MemberConditionResource>>;
    mapMemberConditionResourceAsync(condition: IMemberCondition): NullableResultPromise<MemberConditionResource>;
}
